version: "3.8"                  # 1

services:                       # 2
  api:                         # 3
    build:                      # 4
      context: .                
      dockerfile: Dockerfile   
    ports:                      # 5
      - "8000:8000"             
    volumes:                    # 6
      - .:/app                 
    environment:                # 7
      - LOG_LEVEL=info          
    command:                    # 8
      - uvicorn                 
      - walkxr_ai.api.main:app  
      - --host                   
      - "0.0.0.0"               
      - --port                   
      - "8000"                  
